Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.
Delete Lightning Experience Event Series
Delete a Single Event in a Series
Use the sObject Rows resource to delete event records. To delete a single occurrence in a series, specify the event ID and use the DELETE method of the resource to delete a record.
Delete Multiple Events or All Events from a Series
To delete all events in a series from a specific occurrence and onwards, specify the event ID and use the DELETE method of the resource to delete a record. When calling this method, IsRecurrence2 must be true and IsRecurrence2Exclusion must be false.
To delete an entire event series, specify the event ID of the first occurrence in the series and use the DELETE method of the resource to delete a record.
Example for deleting multiple events or all events from a series
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/Event/00Uxx0000000000/fromThisEventOnwards -H "Authorization: Bearer token" -X DELETEExample request body
1None neededExample response body after successfully deleting events
1{
2success: We’re deleting the selected events from the series. Wait for all events to be removed.
3}Considerations
- Occurred before the original value of Recurrence2PatternStartDate.
- Are defined as child events.
If the event series originated outside of Salesforce and the event ID of the first occurrence is unavailable, you can’t delete all events in a series. Instead, delete events from a specific occurrence onwards.